{ config, lib, pkgs, ... }:

{
  boot.kernelPackages = pkgs.linuxPackages_latest;

  # Bootloader, initrd and Kernel
  boot.loader.grub = {
    enable = true;
    enableCryptodisk = true;
    version = 2;
  };

  # workaround to disable CPU wining
  # current CPU has 9 idle cstates.

  # Workaround for nm-pptp to enforce module load
  boot.kernelModules = [ 
      "nf_conntrack_proto_gre"
      "nf_conntrack_pptp"
  ];

  boot.tmpOnTmpfs = true;
}
